### Method

# Gtk TreeViewset_search_entry

deprecated: 4.10

#### Declaration [src]

    void
    gtk_tree_view_set_search_entry (
      GtkTreeView* tree_view,
      GtkEditable* entry
    )

#### Description [src]

Sets the entry which the interactive search code will use for this `tree_view`. This is useful when you want to provide a search entry in our interface at all time at a fixed position. Passing `NULL` for `entry` will make the interactive search code use the built-in popup entry again.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`entry`

  Type: `GtkEditable`

  The entry the interactive search code of `tree_view` should use.

  The argument can be `NULL`.
  The data is owned by the caller of the method.